package com.jxdinfo.hussar.core.bouncycastle.math.ec;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECConstants;
import java.math.BigInteger;

public abstract class ECFieldElement implements ECConstants {
  public abstract String getFieldName();
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement subtract(com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement paramECFieldElement);
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement invert();
  
  public abstract int getFieldSize();
  
  public String toString() {
    return toBigInteger().toString(2);
  }
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement sqrt();
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement negate();
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement square();
  
  public abstract BigInteger toBigInteger();
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement multiply(com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement paramECFieldElement);
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement add(com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement paramECFieldElement);
  
  public abstract com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement divide(com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement paramECFieldElement);
}
